Skip to main content
GET
Get the transaction details

Authorizations

Authorization
string
header
required

Enter your "Injector" API Key

See Authentication section for more information

Path Parameters

bank_account_id
string<uuid>
required

Bank account uuid

bank_connection_id
string<uuid>
required

Bank connection uuid

transaction_id
string<uuid>
required

Transaction uuid

consumer_id
string
required

Unique ID of the consumer that you have registered when the user was onboarded.

Required string length: 2 - 100

Response

Successful Response

id
string
required

Unique identifier for the resource on your system

amount
number
required
currency
enum<string>
required

ISO 4217 currency code (alpha-3 or numeric)

Available options:
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAD,
XAF,
XCD,
XCG,
XOF,
XPF,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWG
Required string length: 3
Examples:

"EUR"

"978"

raw_label
string
required

Unicode string that must not contain null bytes (\x00)

executed_at
required
type
enum<string>
required
Available options:
bank,
card,
check,
deferred_card,
deposit,
loan_payment,
order,
payback,
summary_card,
transfer,
unknown,
withdrawal
is_realtime
boolean
default:false
label
string | null
truncated_pan
string | null

Last 4 digits of the card number, must be a string without null bytes, and match 4 digits

country_code
string | null
Pattern: ^\w{2}$
state
enum<string> | null
Available options:
cleared,
authorization
channel
enum<string> | null
Available options:
store,
online
brand
BrandSchema · object | null
store
StoreSchema · object | null
scheme
string | null

The network used for the transaction

Example:

"visa"

authorization_id_response
string | null

Alphanumeric reference number assigned by the issuer in response to a transaction authorization request.

Pattern: ^[a-zA-Z0-9]{1,6}$
Example:

"1A2B3C"

retrieval_reference_number
string | null

Alphanumeric retrieval reference number, unique identifier assigned to a card transaction during the authorization

Required string length: 1 - 12
Pattern: ^[a-zA-Z0-9 ]{1,12}$
Example:

"1A2B3C4D5E6F"

truncated_dpan
string | null

Last 4 digits of the device token, must be a string without null bytes, and match 4 digits